Subject: bug#17896: sh-mode excessive indentation of {}

From: Glenn Morris <[email-masked]>
Date: Tue, 01 Jul 2014 21:46:54 -0400

Package: emacs
Version: 24.3.92
Severity: minor

I don't know if this is a related to any of the previous sh-mode indent
reports I made, so I'm making a new report.

emacs -Q foo.sh:

for foo in bar; do
    [ -e $foo ] && [ -e $bar ] && {
                       echo way too much indent here
                   }
done

Compare with 24.3:

for foo in bar; do
    [ -e $foo ] && [ -e $bar ] && {
        echo just fine thanks
    }
done